Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.configuration
Interface KernelMBean

All Known Subinterfaces:
  ServerMBean

public interface KernelMBean
extends ConfigurationMBean

This bean represents the configuration of the core message passing kernel on both WebLogic clients and servers.

`ServerMBean` extends this bean to represent the configuration of a server.

Field Summary
`static java.lang.String` | `STDOUT_NOID` Format of messages logged to the console in WLS 6.
`static java.lang.String` | `STDOUT_STANDARD` Default format of messages logged to the console

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Method Summary
`int` | `getCompleteCOMMessageTimeout()` Specify the maximum number of seconds spent waiting for a complete COM message to be received.
`int` | `getCompleteHTTPMessageTimeout()` Specify the maximum number of seconds spent waiting for a complete HTTP message to be received.
`int` | `getCompleteIIOPMessageTimeout()` Specify the maximum number of seconds spent waiting for a complete IIOP message to be received.
`int` | `getCompleteT3MessageTimeout()` Specify the maximum number of seconds spent waiting for a complete T3 message to be received.
`java.lang.String` | `getDefaultProtocol()` Returns the protocol to be used for connections when none is specified.
`java.lang.String` | `getDefaultSecureProtocol()` Returns the protocol to be used for secure connections when none is specified.
`ExecuteQueueMBean[]` | `getExecuteQueues()` Returns the execute queues configured for this server.
`int` | `getIdleIIOPConnectionTimeout()` Specify the maximum number of seconds an IIOP connection is allowed to be idle before it is closed by the server.
`IIOPMBean` | `getIIOP()` Returns the kernel's IIOP configuration.
`LogMBean` | `getLog()` Returns the Log settings for this Kernel.
`int` | `getMaxCOMMessageSize()` Specify maximum size of an entire COM message.
`int` | `getMaxHTTPMessageSize()` Specify the maximum HTTP message size allowable in a message header.
`int` | `getMaxIIOPMessageSize()` Specify the maximum size for an entire IIOP message.
`int` | `getMaxOpenSockCount()` Returns the maximum number of open sockets allowed in server at a given point of time.
`int` | `getMaxT3MessageSize()` Specify the maximum size for an entire T3 message.
`SSLMBean` | `getSSL()` Returns the kernel's SSL configuration.
`java.lang.String` | `getStdoutFormat()` The output format to use when logging to the console.
`int` | `getStdoutSeverityLevel()` The minimum severity of a message that the server sends to standard out.
`int` | `getStuckThreadMaxTime()` Returns the time that is used to determine when a thread might be stuck.
`int` | `getStuckThreadTimerInterval()` Returns the time interval that is used to scan the state of the running threads.
`int` | `getThreadPoolPercentSocketReaders()` Returns the percentage (1-99) of execute threads from the default queue hat may be used as socket readers.
`boolean` | `isInstrumentStackTraceEnabled()` Determines whether exception messages include the server-side stack trace.
`boolean` | `isLogRemoteExceptionsEnabled()` Determines whether the server message log includes exceptions that are raised in remote systems.
`boolean` | `isNativeIOEnabled()` Whether or not native I/O is enabled for the server.
`boolean` | `isReverseDNSAllowed()` Returns whether or not the kernel is allowed to perform reverse DNS lookups.
`boolean` | `isStdoutDebugEnabled()` Determines whether the server sends messages of the `DEBUG` severity to standard out in addition to the log file.
`boolean` | `isStdoutEnabled()` Enables the server to send messages to standard out in addition to the log file.
`boolean` | `isStdoutLogStack()` Whether to dump stack traces to the console when included in logged message.
`void` | `setCompleteCOMMessageTimeout(int seconds)` Sets the number of seconds that the server will wait for a complete COM message.
`void` | `setCompleteHTTPMessageTimeout(int seconds)` Sets the number of seconds that the server will wait for a complete HTTP message.
`void` | `setCompleteIIOPMessageTimeout(int seconds)` Sets the number of seconds that the server will wait for a complete IIOP message.
`void` | `setCompleteT3MessageTimeout(int seconds)` Sets the number of seconds that the server will wait for a complete T3 message.
`void` | `setDefaultProtocol(java.lang.String protocol)` Sets the protocol to be used for connections when none is specified.
`void` | `setDefaultSecureProtocol(java.lang.String protocol)` Sets the protocol to be used for secure connections when none is specified.
`void` | `setDGCIdlePeriodsUntilTimeout(int periods)`
`void` | `setIdleIIOPConnectionTimeout(int seconds)` Sets the number of seconds that the server will allow an IIOP connection to be idle before closing it.
`void` | `setInstrumentStackTraceEnabled(boolean enable)`
`void` | `setLogRemoteExceptionsEnabled(boolean enable)`
`void` | `setMaxCOMMessageSize(int maxsize)` Sets the maximum size for an entire COM message.
`void` | `setMaxHTTPMessageSize(int maxsize)` Sets the maximum HTTP message size allowable in a message header.
`void` | `setMaxIIOPMessageSize(int maxsize)` Sets the maximum size of an entire IIOP message.
`void` | `setMaxOpenSockCount(int sockCount)` sets the maximum number of open sockets allowed in server at a given point of time.
`void` | `setMaxT3MessageSize(int maxsize)` Sets the maximum size of an entire T3 message.
`void` | `setNativeIOEnabled(boolean enable)` Set whether or not native I/O should be enabled.
`void` | `setReverseDNSAllowed(boolean flag)` Sets whether or not a Kernel is allowed to perform reverse DNS lookups.
`void` | `setStdoutDebugEnabled(boolean enable)`
`void` | `setStdoutEnabled(boolean enable)`
`void` | `setStdoutFormat(java.lang.String format)`
`void` | `setStdoutLogStack(boolean stack)`
`void` | `setStdoutSeverityLevel(int severityLevel)`
`void` | `setStuckThreadMaxTime(int seconds)`
`void` | `setStuckThreadTimerInterval(int seconds)`
`void` | `setThreadPoolPercentSocketReaders(int percent)` Sets the percentage (1-99) of execute threads from the default queue that may be used as socket readers.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`addLinkMbeanAttribute, getNotes, isPersistenceEnabled, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### STDOUT_STANDARD

    public static final java.lang.String STDOUT_STANDARD

  Default format of messages logged to the console

### STDOUT_NOID

    public static final java.lang.String STDOUT_NOID

  Format of messages logged to the console in WLS 6. Does not include message id in output.

Method Detail

### isReverseDNSAllowed

    public boolean isReverseDNSAllowed()

  Returns whether or not the kernel is allowed to perform reverse DNS lookups.

  A configurable MBean attribute
  Default Value: false
  Old Property: weblogic.system.enableReverseDNSLookups

### setReverseDNSAllowed

    public void setReverseDNSAllowed(boolean flag)
                              throws DistributedManagementException

  Sets whether or not a Kernel is allowed to perform reverse DNS lookups.

  A dynamic MBean attribute
  Default Value: false
  Secure Value: false

### getDefaultProtocol

    public java.lang.String getDefaultProtocol()

  Returns the protocol to be used for connections when none is specified.

  A configurable MBean attribute
  Default Value: "t3"
  Old Property: weblogic.system.defaultProtocol
  Legal Values: "t3","t3s","http","https","iiop"

### setDefaultProtocol

    public void setDefaultProtocol(java.lang.String protocol)
                            throws javax.management.InvalidAttributeValueException,
                                   DistributedManagementException

  Sets the protocol to be used for connections when none is specified.

  Throws:
    java.lang.IllegalArgumentException - if the protocol is not supported by this kernel.
  See Also:
    `getDefaultProtocol()`

### getDefaultSecureProtocol

    public java.lang.String getDefaultSecureProtocol()

  Returns the protocol to be used for secure connections when none is specified.

  A configurable MBean attribute
  Default Value: "t3s"
  Old Property: weblogic.system.defaultSecureProtocol
  Legal Values: "t3s","https"

### setDefaultSecureProtocol

    public void setDefaultSecureProtocol(java.lang.String protocol)
                                  throws javax.management.InvalidAttributeValueException,
                                         DistributedManagementException

  Sets the protocol to be used for secure connections when none is specified.

  Throws:
    java.lang.IllegalArgumentException - if the protocol is not supported by this kernel.
  See Also:
    `getDefaultSecureProtocol()`

### isNativeIOEnabled

    public boolean isNativeIOEnabled()

  Whether or not native I/O is enabled for the server.

  A configurable MBean attribute
  Default Value: true
  Old Property: weblogic.system.nativeIO.enable
  See Also:
    `getSocketReaderTimeoutMaxMillis()`

### setNativeIOEnabled

    public void setNativeIOEnabled(boolean enable)

  Set whether or not native I/O should be enabled.

### getThreadPoolPercentSocketReaders

    public int getThreadPoolPercentSocketReaders()

  Returns the percentage (1-99) of execute threads from the default queue hat may be used as socket readers.

  A configurable MBean attribute
  Default Value: 33
  Old Property: weblogic.system.percentSocketReaders

### setThreadPoolPercentSocketReaders

    public void setThreadPoolPercentSocketReaders(int percent)
                                           throws javax.management.InvalidAttributeValueException,
                                                  DistributedManagementException

  Sets the percentage (1-99) of execute threads from the default queue that may be used as socket readers.

  A dynamic MBean attribute
  Legal Minimum Value: 1
  Legal Maximum Value: 99
  Throws:
    java.lang.IllegalArgumentException - if the argument is null or represents a negative int.

### getMaxT3MessageSize

    public int getMaxT3MessageSize()

  Specify the maximum size for an entire T3 message. This attribute attempts to prevent a denial of service attack whereby a caller attempts to force the server to allocate more memory than is available thereby keeping the server from responding quickly to other requests. If this attribute is not set, the value of maxMessageSize is used. This setting only applies to connections that are initiated using one of the default ports (ServerMBean setListenPort and setAdministrationPort or SSLMBean setListenPort). Connections on additional ports are tuned via the NetworkChannelMBean.

  See Also:
    `NetworkChannelMBean.getMaxT3MessageSize()`

### setMaxT3MessageSize

    public void setMaxT3MessageSize(int maxsize)
                             throws javax.management.InvalidAttributeValueException,
                                    DistributedManagementException

  Sets the maximum size of an entire T3 message. This setting only applies to connections that are initiated using one of the default ports (ServerMBean setListenPort and setAdministrationPort or SSLMBean setListenPort). Connections on additional ports are tuned via the NetworkChannelMBean.

  A dynamic MBean attribute
  A configurable MBean attribute
  Default Value: 10000000
  Legal Minimum Value: 4096
  Legal Maximum Value: 2000000000
  Secure Value: 10000000
  Throws:
    java.lang.IllegalArgumentException - if the argument is null or represents a negative int.
  See Also:
    `NetworkChannelMBean.setMaxT3MessageSize(int)`

### getMaxHTTPMessageSize

    public int getMaxHTTPMessageSize()

  Specify the maximum HTTP message size allowable in a message header. This attribute attempts to prevent a denial of service attack whereby a caller attempts to force the server to allocate more memory than is available thereby keeping the server from responding quickly to other requests. If this attribute is not set, the value of maxMessageSize is used. This setting only applies to connections that are initiated using one of the default ports (ServerMBean setListenPort and setAdministrationPort or SSLMBean setListenPort). Connections on additional ports are tuned via the NetworkChannelMBean.

  See Also:
    `NetworkChannelMBean.getMaxHTTPMessageSize()`

### setMaxHTTPMessageSize

    public void setMaxHTTPMessageSize(int maxsize)
                               throws javax.management.InvalidAttributeValueException,
                                      DistributedManagementException

  Sets the maximum HTTP message size allowable in a message header. This setting only applies to connections that are initiated using one of the default ports (ServerMBean setListenPort and setAdministrationPort or SSLMBean setListenPort). Connections on additional ports are tuned via the NetworkChannelMBean.

  A dynamic MBean attribute
  A configurable MBean attribute
  Default Value: 10000000
  Legal Minimum Value: 4096
  Legal Maximum Value: 2000000000
  Secure Value: 10000000
  Throws:
    java.lang.IllegalArgumentException - if the argument is null or represents a negative int.
  See Also:
    `NetworkChannelMBean.setMaxHTTPMessageSize(int)`

### getMaxCOMMessageSize

    public int getMaxCOMMessageSize()

  Specify maximum size of an entire COM message. This attribute attempts to prevent a denial of service attack whereby a caller attempts to force the server to allocate more memory than is available thereby keeping the server from responding quickly to other requests. If this attribute is not set, the value of maxMessageSize is used. This setting only applies to connections that are initiated using one of the default ports (ServerMBean setListenPort and setAdministrationPort or SSLMBean setListenPort). Connections on additional ports are tuned via the NetworkChannelMBean.

  See Also:
    `NetworkChannelMBean.getMaxCOMMessageSize()`

### setMaxCOMMessageSize

    public void setMaxCOMMessageSize(int maxsize)
                              throws javax.management.InvalidAttributeValueException,
                                     DistributedManagementException

  Sets the maximum size for an entire COM message. This setting only applies to connections that are initiated using one of the default ports (ServerMBean setListenPort and setAdministrationPort or SSLMBean setListenPort). Connections on additional ports are tuned via the NetworkChannelMBean.

  A dynamic MBean attribute
  A configurable MBean attribute
  Default Value: 10000000
  Legal Minimum Value: 4096
  Legal Maximum Value: 2000000000
  Secure Value: 10000000
  Throws:
    java.lang.IllegalArgumentException - if the argument is null or represents a negative int.
  See Also:
    `NetworkChannelMBean.setMaxCOMMessageSize(int)`

### getMaxIIOPMessageSize

    public int getMaxIIOPMessageSize()

  Specify the maximum size for an entire IIOP message. This attribute attempts to prevent a denial of service attack whereby a caller attempts to force the server to allocate more memory than is available thereby keeping the server from responding quickly to other requests. If this attribute is not set, the value of maxMessageSize is used.

### setMaxIIOPMessageSize

    public void setMaxIIOPMessageSize(int maxsize)
                               throws javax.management.InvalidAttributeValueException,
                                      DistributedManagementException

  Sets the maximum size of an entire IIOP message.

  A dynamic MBean attribute
  A configurable MBean attribute
  Default Value: 10000000
  Legal Minimum Value: 4096
  Legal Maximum Value: 2000000000
  Secure Value: 10000000
  Throws:
    java.lang.IllegalArgumentException - if the argument is null or represents a negative int.

### getCompleteT3MessageTimeout

    public int getCompleteT3MessageTimeout()

  Specify the maximum number of seconds spent waiting for a complete T3 message to be received. This attribute helps guard against denial of service attacks in which a caller indicates that they will be sending a message of a certain size which they never finish sending. This setting only applies to connections that are initiated using one of the default ports (ServerMBean setListenPort and setAdministrationPort or SSLMBean setListenPort). Connections on additional ports are tuned via the NetworkChannelMBean.

  A dynamic MBean attribute
  A configurable MBean attribute
  See Also:
    `NetworkChannelMBean.getCompleteT3MessageTimeout()`

### setCompleteT3MessageTimeout

    public void setCompleteT3MessageTimeout(int seconds)
                                     throws javax.management.InvalidAttributeValueException,
                                            DistributedManagementException

  Sets the number of seconds that the server will wait for a complete T3 message. This setting only applies to connections that are initiated using one of the default ports (ServerMBean setListenPort and setAdministrationPort or SSLMBean setListenPort). Connections on additional ports are tuned via the NetworkChannelMBean.

  A dynamic MBean attribute
  Default Value: 60
  Legal Minimum Value: 0
  Legal Maximum Value: 480
  Secure Value: 60
  Throws:
    java.lang.IllegalArgumentException - if the argument is null or represents a negative int.
  See Also:
    `NetworkChannelMBean.setCompleteT3MessageTimeout(int)`

### getCompleteHTTPMessageTimeout

    public int getCompleteHTTPMessageTimeout()

  Specify the maximum number of seconds spent waiting for a complete HTTP message to be received. This attribute helps guard against denial of service attacks in which a caller indicates that they will be sending a message of a certain size which they never finish sending. This setting only applies to connections that are initiated using one of the default ports (ServerMBean setListenPort and setAdministrationPort or SSLMBean setListenPort). Connections on additional ports are tuned via the NetworkChannelMBean.

  A dynamic MBean attribute
  A configurable MBean attribute
  See Also:
    `NetworkChannelMBean.getCompleteHTTPMessageTimeout()`

### setCompleteHTTPMessageTimeout

    public void setCompleteHTTPMessageTimeout(int seconds)
                                       throws javax.management.InvalidAttributeValueException,
                                              DistributedManagementException

  Sets the number of seconds that the server will wait for a complete HTTP message. This setting only applies to connections that are initiated using one of the default ports (ServerMBean setListenPort and setAdministrationPort or SSLMBean setListenPort). Connections on additional ports are tuned via the NetworkChannelMBean.

  A dynamic MBean attribute
  Default Value: 60
  Legal Minimum Value: 0
  Legal Maximum Value: 480
  Secure Value: 60
  Throws:
    java.lang.IllegalArgumentException - if the argument is null or represents a negative int.
  See Also:
    `NetworkChannelMBean.setCompleteHTTPMessageTimeout(int)`

### getCompleteCOMMessageTimeout

    public int getCompleteCOMMessageTimeout()

  Specify the maximum number of seconds spent waiting for a complete COM message to be received. This attribute helps guard against denial of service attacks in which a caller indicates that they will be sending a message of a certain size which they never finish sending. This setting only applies to connections that are initiated using one of the default ports (ServerMBean setListenPort and setAdministrationPort or SSLMBean setListenPort). Connections on additional ports are tuned via the NetworkChannelMBean.

  A dynamic MBean attribute
  A configurable MBean attribute
  See Also:
    `NetworkChannelMBean.getCompleteCOMMessageTimeout()`

### setCompleteCOMMessageTimeout

    public void setCompleteCOMMessageTimeout(int seconds)
                                      throws javax.management.InvalidAttributeValueException,
                                             DistributedManagementException

  Sets the number of seconds that the server will wait for a complete COM message. This setting only applies to connections that are initiated using one of the default ports (ServerMBean setListenPort and setAdministrationPort or SSLMBean setListenPort). Connections on additional ports are tuned via the NetworkChannelMBean.

  A dynamic MBean attribute
  Default Value: 60
  Legal Minimum Value: 0
  Legal Maximum Value: 480
  Secure Value: 60
  Throws:
    java.lang.IllegalArgumentException - if the argument is null or represents a negative int.
  See Also:
    `NetworkChannelMBean.setCompleteCOMMessageTimeout(int)`

### getIdleIIOPConnectionTimeout

    public int getIdleIIOPConnectionTimeout()

  Specify the maximum number of seconds an IIOP connection is allowed to be idle before it is closed by the server. This attribute helps guard against server deadlock through too many open connections.

  A dynamic MBean attribute
  A configurable MBean attribute

### setIdleIIOPConnectionTimeout

    public void setIdleIIOPConnectionTimeout(int seconds)
                                      throws javax.management.InvalidAttributeValueException,
                                             DistributedManagementException

  Sets the number of seconds that the server will allow an IIOP connection to be idle before closing it.

  A dynamic MBean attribute
  Default Value: 60
  Legal Minimum Value: 0
  Secure Value: 60
  Throws:
    java.lang.IllegalArgumentException - if the argument is null or represents a negative int.

### getCompleteIIOPMessageTimeout

    public int getCompleteIIOPMessageTimeout()

  Specify the maximum number of seconds spent waiting for a complete IIOP message to be received. This attribute helps guard against denial of service attacks in which a caller indicates that they will be sending a message of a certain size which they never finish sending.

  A dynamic MBean attribute
  A configurable MBean attribute

### setCompleteIIOPMessageTimeout

    public void setCompleteIIOPMessageTimeout(int seconds)
                                       throws javax.management.InvalidAttributeValueException,
                                              DistributedManagementException

  Sets the number of seconds that the server will wait for a complete IIOP message.

  A dynamic MBean attribute
  Default Value: 60
  Legal Minimum Value: 0
  Legal Maximum Value: 480
  Secure Value: 60
  Throws:
    java.lang.IllegalArgumentException - if the argument is null or represents a negative int.

### setDGCIdlePeriodsUntilTimeout

    public void setDGCIdlePeriodsUntilTimeout(int periods)
                                       throws ConfigurationException

### getSSL

    public SSLMBean getSSL()

  Returns the kernel's SSL configuration. An SSL MBean is always linked to a particular Kernel and cannot be changed. Individual attributes on the SSL MBean may be changed, as documented, but the MBean itself may not.

### getIIOP

    public IIOPMBean getIIOP()

  Returns the kernel's IIOP configuration. An IIOP MBean is always linked to a particular Kernel and cannot be changed. Individual attributes on the IIOP MBean may be changed, as documented, but the MBean itself may not.

### getLog

    public LogMBean getLog()

  Returns the Log settings for this Kernel. An Log MBean is always linked to a particular Kernel and cannot be changed. Individual attributes on the Log MBean may be changed, as documented, but the MBean itself may not.

### isStdoutEnabled

    public boolean isStdoutEnabled()

  Enables the server to send messages to standard out in addition to the log file. Use `StdoutDebugEnabled` and `StdoutSeverityLevel` to determine the type of messages that the server sends to standard out.

  A dynamic MBean attribute
  Default Value: true
  Old Property: weblogic.system.enableConsole

### setStdoutEnabled

    public void setStdoutEnabled(boolean enable)
                          throws DistributedManagementException

### getStdoutSeverityLevel

    public int getStdoutSeverityLevel()

  The minimum severity of a message that the server sends to standard out. You must enable `Log to Standard Out` for this value to be relevant.

  The ascending order of severities is as follows:

  - `INFO(64)`. Used for reporting normal operations.
  - `WARNING(32)`. A suspicious operation or configuration has occurred but it may not have an impact on normal operation.
  - `ERROR(16)`. A user error has occurred. The system or application is able to handle the error with no interruption, and limited degradation, of service.
  - `NOTICE(8)`. An `INFO` or `WARNING`-level message that is particularly important for monitoring the server. Only WebLogic Server subsystems write messages of this severity type.
  - `CRITICAL(4)`. A system or service error has occurred. The system is able to recover but there might be a momentary loss, or permanent degradation, of service.
  - `ALERT(2)`. A particular service is in an unusable state while other parts of the system continue to function. Automatic recovery is not possible; the immediate attention of the administrator is needed to resolve the problem.
  - `EMERGENCY(1)`. The server is in an unusable state. This severity indicates a severe system failure or panic.

  A dynamic MBean attribute
  Default Value: weblogic.logging.Severities.ERROR
  Legal Values: weblogic.logging.Severities.INFO,weblogic.logging.Severities.WARNING,weblogic.logging.Severities.ERROR,weblogic.logging.Severities.NOTICE,weblogic.logging.Severities.CRITICAL,weblogic.logging.Severities.ALERT,weblogic.logging.Severities.EMERGENCY
  Secure Value: weblogic.logging.Severities.WARNING
  See Also:
    `Severities`

### setStdoutSeverityLevel

    public void setStdoutSeverityLevel(int severityLevel)
                                throws javax.management.InvalidAttributeValueException,
                                       DistributedManagementException

### isStdoutDebugEnabled

    public boolean isStdoutDebugEnabled()

  Determines whether the server sends messages of the `DEBUG` severity to standard out in addition to the log file. You must enable `Log to Standard Out` for this property to be relevant.

  A dynamic MBean attribute
  Default Value: false
  Secure Value: false

### setStdoutDebugEnabled

    public void setStdoutDebugEnabled(boolean enable)
                               throws DistributedManagementException

### isLogRemoteExceptionsEnabled

    public boolean isLogRemoteExceptionsEnabled()

  Determines whether the server message log includes exceptions that are raised in remote systems.

  A dynamic MBean attribute
  Default Value: false
  Secure Value: true

### setLogRemoteExceptionsEnabled

    public void setLogRemoteExceptionsEnabled(boolean enable)
                                       throws DistributedManagementException

### isInstrumentStackTraceEnabled

    public boolean isInstrumentStackTraceEnabled()

  Determines whether exception messages include the server-side stack trace.

  A dynamic MBean attribute
  Default Value: true
  Secure Value: false

### setInstrumentStackTraceEnabled

    public void setInstrumentStackTraceEnabled(boolean enable)
                                        throws DistributedManagementException

### getExecuteQueues

    public ExecuteQueueMBean[] getExecuteQueues()

  Returns the execute queues configured for this server.

  A non-configurable MBean attribute.

### getMaxOpenSockCount

    public int getMaxOpenSockCount()

  Returns the maximum number of open sockets allowed in server at a given point of time. When max threshold is reached, server stops accepting any more new requests until no of sockets drops below threshold.

  A configurable MBean attribute
  Default Value: -1
  Old Property: weblogic.system.openSockCount
  Legal Minimum Value: -1
  Legal Maximum Value: java.lang.Integer.MAX_VALUE

### setMaxOpenSockCount

    public void setMaxOpenSockCount(int sockCount)

  sets the maximum number of open sockets allowed in server at a given point of time. When max threshold is reached, server stops accepting any more new requests until no of sockets drops below threshold.

  A dynamic MBean attribute
  Default Value: -1
  Legal Minimum Value: -1
  Legal Maximum Value: java.lang.Integer.MAX_VALUE

### getStdoutFormat

    public java.lang.String getStdoutFormat()

  The output format to use when logging to the console.

  Default Value: STDOUT_STANDARD
  Legal Values: STDOUT_STANDARD,STDOUT_NOID

### setStdoutFormat

    public void setStdoutFormat(java.lang.String format)

### isStdoutLogStack

    public boolean isStdoutLogStack()

  Whether to dump stack traces to the console when included in logged message.

  Default Value: true

### setStdoutLogStack

    public void setStdoutLogStack(boolean stack)

### getStuckThreadMaxTime

    public int getStuckThreadMaxTime()

  Returns the time that is used to determine when a thread might be stuck. If a thread has been working for this time, it might be stuck in some bad state.

  A configurable MBean attribute
  Default Value: 600
  Legal Minimum Value: 0
  Legal Maximum Value: java.lang.Integer.MAX_VALUE

### setStuckThreadMaxTime

    public void setStuckThreadMaxTime(int seconds)
                               throws javax.management.InvalidAttributeValueException

### getStuckThreadTimerInterval

    public int getStuckThreadTimerInterval()

  Returns the time interval that is used to scan the state of the running threads. This along with StuckThreadMaxTime is used to determine when a thread might be stuck.

  A configurable MBean attribute
  Default Value: 600
  Legal Minimum Value: 0
  Legal Maximum Value: java.lang.Integer.MAX_VALUE

### setStuckThreadTimerInterval

    public void setStuckThreadTimerInterval(int seconds)
                                     throws javax.management.InvalidAttributeValueException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference